ISCNTRL(3)

NAME
iscntrl - control character test

SYNOPSIS
#include <ctype.h>
int
iscntrl(int c);

DESCRIPTION
The iscntrl() function tests for any control character.

RETURN VALUES
The iscntrl() function returns zero if the character tests false or non-zero if the character tests true.

SEE ALSO
isalnum(3), isalpha(3), isascii(3), isblank(3), isdigit(3), isgraph(3), islower(3), isprint(3), ispunct(3), isspace(3), isupper(3), isxdigit(3), stdio(3), toascii(3), tolower(3), toupper(3), ascii(7)

STANDARDS
The iscntrl() function conforms to ansiC.

HISTORY
The iscntrl() function first appeared in AT&T UNIX.

CAVEATS
The argument to iscntrl() must be EOF or representable as an unsigned char; otherwise, the result is undefined.